[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# LongMul

Overflow safe multiply.

## Declaration

Source position: objects.pp line 668

`function LongMul(`
`X: Integer;`
`Y: Integer`
`):LongInt;`

## Description

LongMul multiplies X with Y. The result is of type Longint. This avoids possible overflow errors you would normally get when multiplying X and Y that are too big.

## Errors

None.

## See also

LongDiv |  | Overflow safe divide

Documentation generated on: Feb 26 2014